CentOS6.5下安装phpstorm7.1步骤 linux下安装phpstorm7.1集成开发环境步骤

分类: 服务器  • 发布时间: 2014-04-16 00:05:00  • 浏览量:17940

在windows下用phpstorm觉得很不错,也想再linux上用用,今天在家倒腾了一阵子,终于安装成功了,网上也有几个介绍安装的文章,不过有的介绍的是老版本的安装,虽然整体步骤差不多,但还是有一定差异的,有的介绍的比较简略,估计大牛能看懂,像我这种linux新手看得时候感觉跳跃有点大,呵呵,本次安装参阅了各位前辈的分享,我综合一下,将详细步骤写了出来,分享给广大朋友们,在此向各位前辈表示感谢!

第一步:下载 sun jdk
下载地址:http://www.oracle.com/technetwork/java/javase/downloads/jdk7-downloads-1880260.html

我下载的是jdk-7u51-linux-x64.rpm这个包


第二步:本地安装jdk,执行命令:

yum localinstall /home/leon/jdk-7u51-linux-x64.rpm

其中/home/leon/jdk-7u51-linux-x64.rpm是我下载好的rpm包的存放路径。


第三步:添加到java版本列表:

update-alternatives 是用来管理多版本软件共存时默认选择的版本。

update-alternatives --install "/usr/bin/java" "java" "/usr/java/jdk1.7.0_51/bin/java" 2000

使用格式及参数:update-alternatives –install 
link: 软件命令的软链地址,即 “which java” 输出的地址
name: 软件组名,例如在下面使用的一条命令 “update-alternatives –config java",这里 java 既是 name 参数
path: 软件命令的真实地址
priority: 优先级,在自动模式下值越大,优先级越高


第四步:配置默认 java 版本:

update-alternatives --config java

会出现一下选择界面(根据你安装的centos语言可能有的是英文):
共有 3 个程序提供“java”。

选择 命令
*+ 1 /usr/lib/jvm/jre-1.7.0-openjdk.x86_64/bin/java
2 /usr/lib/jvm/jre-1.6.0-openjdk.x86_64/bin/java
3 /usr/java/jdk1.7.0_51/bin/java
按 Enter 来保存当前选择[+],或键入选择号码:3

我这里选择的是第三个,你根据你自己情况选择对应的版本。
至此SUN JDK安装完毕,现在可以安装 PhpStorm,NetBeans等基于 SUN JDK开发的优秀IDE或软件啦。


第五步:下载phpstorm7.1 tar.gz包,
下载地址:http://www.jetbrains.com/phpstorm/download/index.html


第六步:解压

tar xfz PhpStorm-7.1.3_556510.tar.gz

根据自己下载的包名称写相应的命令,上面我下载的包名称位:PhpStorm-7.1.3_556510.tar.gz

第七步:切换到phpstorm.sh目录

cd /PhpStorm-133.982/bin

第八步:运行phpstorm.sh

./phpstorm.sh

然后根据phpstorm提示安装并且输入注册码,就可以安装成功了!没注册码的可以试用30天!

这次安装用到的软件我上传到网盘上了

下载地址:http://pan.baidu.com/s/1ntluCzR  和 http://pan.baidu.com/s/1eQvcpqy 


传送门:linux下安装PyCharm集成开发环境步骤

文章标签: linux, centos, 安装, phpstorm, 开发环境, 安装步骤
用户评论:
  • 游客47450 2015-08-07 20:49:29

    对与phpstorm8.03此法也可行,亲测!

    • 游客63490 2015-08-19 09:12:39

      我按照这个方法也可以,好像哪个版本的安装都差不多

  • 游客74784 2015-09-06 12:27:54

    运行phpstorm.sh的时候出现了Startup Error: Unable to detect graphics environment 我是centos6.2的系统,jdk装的1.7,且安装成功了,查google都没找到解决方案

    • 游客56469 2015-12-11 18:24:08

      JDK没安装正确吧!